BANK KALTENG Bugs - Feature #3057

[HR-Report Travel]penambahan fitur pada report Surat Perintah Perjalanan Dinas
09/10/2024 02:06 PM - Muhammad Bintar

Status: Assigned Start date: 09/10/2024
Priority: Normal Due date: 09/13/2024
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description
Dear tim developer mohon support nya untuk penambahan fitur pada report Surat Perintah Perjalanan Dinas

- Tambahkan filter Tanggal

My Workplace  Master Data Human Resource  Business Intelligence  System Administration Search... C Help Q bintar ~
5. |Alat angkutan yang dipergunakan
6. |a. Berangkat dari a. Palangka Raya
b. Tujuan b. Bandung
7. |a. Lama perjalanan dinas a. B Hari PP
b. Tanggal Berangkat b. 02 September 2024
c. Tanggal Kembali c. 07 September 2024
8. |Pengikut:
9. |Pembebanan Anggaran Divisi Corporate Secretary PT.Bank
Pembangunan Daerah Kalimantan Tengah
Dikeluarkan
I Pada Tanggal
PT. BANK KALIMANTAN DAERAH
KALIMANTAN TENGAH
Divisi Human Capital
Pjs Pemimpin
Travel Recap

Pindah Buku
Report Parameter

SPPD Number
- untuk penulisan nama tanda tangan nya, jika nama approval nya adalah pemimpin, maka tulisan nya harus pemimpin. jika approval
nya PJS Pemimpin, maka tulisan nya Pemimpin.
trigger nya diambil dari nama posisi nya

My Workplace Master Data Human Resource Business Intelligence System Administration Search... Q Help Q bintar -

5. |Alat angkutan yang dipergunakan
6. |a. Berangkat dari a. Palangka Raya

b. Tujuan b.  Jakarta
7. |a. Lama perjalanan dinas a. 5HariPP

b. Tanggal Berangkat b. 03 September 2024

c. Tanggal Kembali c. 07 September 2024
8. |Pengikut:
9. |Pembebanan Anggaran Divisi Human Capital PT.Bank Pembangunan

Daerah Kalimantan Tengah

Dikeluarkan
Pada Tanggal

PT. BANK KALIMANTAN DAERAH
KALIMANTAN TENGAH

Divisi Human Capital
» 0 3 | EelKelE TR BN GL NEERE DN e HR(5-DATABASE.Mi...d - dbo. PHRPADDG3 HRIS-DATABASE.Mi...d - dbo.PHRPADDG2
-IDECLARE [@SPPDNumber VARCHAR(588) ='DHC.®3/SPH-8562/IX-24'

DECLARE {@Follower VARCHAR(S@8) ='cece'

DECLARE (@now VARCHAR(B)

SET @now = dbo.fn_formatdatetime(GETDATE(), ‘yyyymmdd')

—ISELECT
dbo.fn_formatdatetime_indonesia(header.StartDate, 'DD MMMM YYYY') AS StartDate
,dbo.fn_formatdatetime_indonesia(header.EndDate, 'DD MMMM YY¥YY') AS EndDate
,header. EmployeeID
,pa@l.FullName
,padl.ExternalID
,pad2.Position L
,oml.0ObjectDescription
,DATEDIFF(DAY, header.StartDate, header.EndDate) + 1 as countDay
,header.SPPDNumber
,header.TravelReason
-rou . TransnnrtTune

00% - 4 3
B Results B Messages
it Date EndDate EmployeelD  FulName Extemal|D Position Object Description count Day

1 |September 2024 13 September 2024 00000015 GUSTIDHENY HIDAYATSE. 023004386  1000155f | Pjs. Pemimpin Divisi Human Capital | 4

nama report nya CTRSPPDNUMBER
username bintar atau minovais

remote.minovais.com:31130
database sql server 2014
remote.minovais.com, 1442
Bank Kalteng Dev
History

#1 - 09/10/2024 02:23 PM - Muhammad Bintar
- File clipboard-202409101422-pgntj.png added
- File clipboard-202409101422-m18bo.png added

- Description updated

#2 - 09/10/2024 04:06 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Dear Bintar,

bukan nya ini poin ini masuk ke dalam poin yg akan di enhance ya?
Tunggu kesepakatan Enhancement nya dl aja ya

Tks

#3 - 09/10/2024 04:50 PM - Muhammad Bintar
bukan menurut saya mbak soalnya itu di hardcode mbak.

harus nya itu melekat ke posisi.
